Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 28 lines (23 sloc) 1.142 kb
617784b @gabebw Move version into its own file.
gabebw authored
1 # -*- encoding: utf-8 -*-
2 $:.push File.expand_path("../lib", __FILE__)
3 require "appraisal/version"
4
ff75e90 @jferris Initial commit: basic rake tasks for running with different gemfiles
jferris authored
5 Gem::Specification.new do |s|
e0d3a3c @sikachu Update gemspec styling
sikachu authored
6 s.name = 'appraisal'
617784b @gabebw Move version into its own file.
gabebw authored
7 s.version = Appraisal::VERSION.dup
8 s.platform = Gem::Platform::RUBY
bb3be89 @sikachu Add my name to gem author
sikachu authored
9 s.authors = ['Joe Ferris', 'Prem Sichanugrist']
10 s.email = ['jferris@thoughtbot.com', 'prem@thoughtbot.com']
e0d3a3c @sikachu Update gemspec styling
sikachu authored
11 s.homepage = 'http://github.com/thoughtbot/appraisal'
12 s.summary = 'Find out what your Ruby gems are worth'
13 s.description = 'Appraisal integrates with bundler and rake to test your library against different versions of dependencies in repeatable scenarios called "appraisals."'
741a98b @bf4 Let the gem know it is MIT licensed
bf4 authored
14 s.license = 'MIT'
c10b3d2 @sanemat Add parallel gem for detecting the count of cpu cores
sanemat authored
15
617784b @gabebw Move version into its own file.
gabebw authored
16 s.files = `git ls-files`.split("\n")
17 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
18 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
19 s.require_paths = ["lib"]
ff75e90 @jferris Initial commit: basic rake tasks for running with different gemfiles
jferris authored
20
617784b @gabebw Move version into its own file.
gabebw authored
21 s.add_runtime_dependency('rake')
22 s.add_runtime_dependency('bundler')
ba10652 @bricker Relax thor dependency
bricker authored
23 s.add_runtime_dependency('thor', '>= 0.14.0')
eb7e0f2 @sikachu Make Appraisal compatible with Ruby 1.8.7
sikachu authored
24 s.add_runtime_dependency("activesupport", ">= 3.2.21")
ff75e90 @jferris Initial commit: basic rake tasks for running with different gemfiles
jferris authored
25
385246e @sikachu Update RSpec and use RSpec 3.0 syntax
sikachu authored
26 s.add_development_dependency('rspec', '~> 3.0')
ff75e90 @jferris Initial commit: basic rake tasks for running with different gemfiles
jferris authored
27 end
Something went wrong with that request. Please try again.